[Overview][Constants][Types][Classes][Index] | Reference for unit 'DynHashArray' (#lcl)

# TDynHashArrayItemMemManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: dynhasharray.pp line 142

`type TDynHashArrayItemMemManager = class`
`public`
`procedure DisposeItem();` |  |
`function NewItem;` |  |
`property MinimumFreeCount: Integer; [rw]` |  |
`property MaximumFreeRatio: Integer; [rw]` |  |
`property Count: Integer; [r]` |  |
`procedure Clear;` |  |
`constructor Create;` |  |
`destructor Destroy; override;` |  |
`function ConsistencyCheck;` |  |
`procedure WriteDebugReport;` |  | Prints out essential data to aid debugging DynHashArrayItemMemManager.
`end;`

## Inheritance

`TDynHashArrayItemMemManager` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.